Const SCRIPT_NAME = "Simplicity Migration Tool"

Dim fso, fsoConfigRead, fsoConfigWrite, dicReplacements, contents, val, val2

Set fso = CreateObject("Scripting.FileSystemObject")
Set dicReplacements = CreateObject("Scripting.Dictionary")

If (fso.FileExists("CD-Keys.txt")) Then
  MsgBox "Migration already complete!", vbOkOnly & vbInformation, SCRIPT_NAME
  WScript.Quit 0
End If

If (Not fso.FileExists("CDKeys.txt")) Then
  MsgBox "CD-Keys file not found. Cannot perform migration!", vbOkOnly & vbCritical, SCRIPT_NAME
  WScript.Quit 0
End If

If (Not fso.FileExists("Config.ini")) Then
  MsgBox "Config.ini not found. Cannot perform migration!", vbOkOnly & vbCritical, SCRIPT_NAME
  WScript.Quit 0
End If

dicReplacements.Add "SaveOnExit", "SaveClanInfo"
dicReplacements.Add "PerProxy", "ConnectionsPerProxy"
dicReplacements.Add "Timeout", "ConnectionTimeout"

Set fsoConfigRead = fso.OpenTextFile("Config.ini", 1, True)
contents = Split(fsoConfigRead.ReadAll, vbNewLine)
fsoConfigRead.Close

For i=0 To Ubound(contents)
  For Each original in dicReplacements.Keys
    replacement = dicReplacements.Item(original)

    If (Len(contents(i)) >= Len(original) And LCase(Left(contents(i), Len(original))) = LCase(original)) Then
      If (replacement = "=<YN>") Then
        val = Right(contents(i), 1)
        
        If val = "1" Then
          val2 = "Y"
        Else
          val2 = "N"
        End If
        
        contents(i) = Left(contents(i), Len(contents(i)) - 1) & val2
      Else
        If (replacement <> vbNullString) Then
          contents(i) = replacement & Right(contents(i), Len(contents(i)) - Len(original))
        Else
          contents(i) = vbNullString
        End If
      End If
    End If
  Next
Next
 
fso.MoveFile "CDKeys.txt", "CD-Keys.txt"

If (fso.FileExists("InUse.txt")) Then
  fso.MoveFile "InUse.txt", "InUseKeys.txt"
End If

Set fsoConfigWrite = fso.OpenTextFile("Config.ini", 2, True)

For i=0 to Ubound(contents)
  If (contents(i) <> vbNullString) Then
    fsoConfigWrite.WriteLine contents(i)  
  End If
Next

fsoConfigWrite.Close

MsgBox "Finished migrating Simplicity environment to Simplicity 1.2!", vbOkOnly & vbInformation, SCRIPT_NAME
